Subject: bug#50394: Improve "Completion List Mode" NEWS entry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Sep 2021 21:30:47 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 5 Sep 2021 20:22:03 +0200
> Cc: [email-masked], Gregory Heytings <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > ** Completion List Mode
> > > New key bindings have been added: 'n' and 'p' to navigate completions,
> > > and 'M-g M-c' to switch to the minibuffer, and you can also switch back
> > > to the completion list buffer with 'M-g M-c'.
> > >
> > > I suspect that most users have no idea what is "completion list mode",
> >
> > If they don't, they could just do
> >
> >   C-h f completion-list-mode RET
> >
> > and read there.
> 
> I don't think that should be needed for such basic functionality.

Which basic functionality are you alluding to here?

> I changed the headline from the nondescript 'Completion List Mode' to
> 'Improved navigation in the "*Completions*" buffer"'.  I think that
> makes things sufficiently clear without having to look elsewhere.

Sorry, I don't follow.  This is in the section whose headline is
"Changes in Specialized Modes and Packages in Emacs 28.1", right?  And
each item in that section names a mode or a package, right?  So what's
wrong with having a headline there which says "Completion List Mode"?
it's a mode, right?

Or what am I missing?